%global srcname authlib
%global pypi_name Authlib

Summary:        Build OAuth and OpenID Connect servers in Python
Name:           python-%{srcname}
Version:        1.3.2
Release:        1%{?dist}

License:        BSD
URL:            https://github.com/lepture/authlib
Source0:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
Python library for building OAuth and OpenID Connect servers. JWS, JWK, JWA,
JWT are included.}

%description %_description

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description


%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -e %{toxenv},%{toxenv}-clients,%{toxenv}-flask,%{toxenv}-django,%{toxenv}-jose


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files authlib

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Tue Dec 24 2024 Sinong Chen <costinchen@tencent.com> - 1.3.2-1
- [Type] security
- [DESC] Upgrade to 1.3.2 to fix CVE-2024-37568

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.1-1
- initial build
